#!/bin/bash

VERSION=0.05-0

FDIR=AncientSemitic
DOCDIR=AncientSemiticFonts-$VERSION
DCDU=$HOME/doc/$DOCDIR
DCDR=/usr/share/doc/$DOCDIR
DFILES="README LICENSE CHANGES GNU-GPL"

usage()
{
    echo "usage ./finstall.sh --help       (display   help)"
    echo "      ./finstall.sh              (install   fonts)"
    echo "      ./finstall.sh --uninstall  (uninstall fonts)"
}

if [ "$1" = "--help" ]; then
    usage
    exit 0
fi
if [ $# -gt 1 ]; then
    echo
    echo "only one parameter allowed"
    echo
    usage
    exit 1
fi


if [ "$#" = "0" ]; then
    HERE=`pwd`
    if [ $USER != root ]; then
	mkdir -p $HOME/.fonts;
	cp -f fonts/* $HOME/.fonts
	mkdir -p  $DCDU
	cp $DFILES $DCDU
    else
	mkdir -p /usr/share/fonts/$FDIR
	cp fonts/* /usr/share/fonts/$FDIR
	cd /usr/share/fonts/$FDIR
	chmod 644 *
	cd $HERE
	mkdir -p $DCDR
	cp $DFILES $DCDR
	cd $DCDR
	chmod 644 *	
    fi
    fc-cache
    echo
    echo "Fonts installed"
else
    if [ "$1" != "--uninstall" ]; then
        echo
        echo "Wrong parameter $1"
        echo
        usage
        exit 1
    fi
    if [ $USER != root ]; then
	cd $HOME
	rm -rf doc/$DOCDIR
	echo
	echo "cd to .fonts directory and remove unwanted fonts"
	echo "run the command fc-cache afterwards"
    else
	cd /usr/share/fonts
	rm -rf $FDIR
	cd /usr/share/doc
	rm -rf $DOCDIR
	echo
	echo "Fonts and Documentation uninstalled"
    fi
	fc-cache
fi

